
From: "Randy.Dunlap" <rddunlap@osdl.org>

Use NULL instead of 0 for pointer (sparse warning):
fs/reiserfs/namei.c:611:50: warning: Using plain integer as NULL pointer

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiserfs/namei.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/reiserfs/namei.c~reiserfs-use-null-instead-of-0 fs/reiserfs/namei.c
--- 25/fs/reiserfs/namei.c~reiserfs-use-null-instead-of-0	2005-03-14 18:43:20.000000000 -0800
+++ 25-akpm/fs/reiserfs/namei.c	2005-03-14 18:43:20.000000000 -0800
@@ -608,7 +608,7 @@ static int reiserfs_create (struct inode
         goto out_failed;
     }
 
-    retval = reiserfs_new_inode (&th, dir, mode, 0, 0/*i_size*/, dentry, inode);
+    retval = reiserfs_new_inode (&th, dir, mode, NULL, 0/*i_size*/, dentry, inode);
     if (retval)
         goto out_failed;
 	
_
